Subject: [Ips] Initiator Task Tag

From: <[email-masked]>
Date: Tue, 19 Sep 2006 11:12:41 -0500

Should the Initiator task tag be unique for an I_T nexus or for an I_T_L
nexus?

Section 3.2.1 says:
Initiator identifying elements, such as the Initiator Task Tag, are
global across the session regardless of the connection on which they are
sent or received.

and 

Sections 10.2.1.8 says:
While a task exists, this tag MUST uniquely identify the task
session-wide.
SCSI may also use the initiator task tag as part of the SCSI task
identifier when the timespan during which an iSCSI initiator task tag
must be unique extends over the timespan during which a SCSI task tag
must be unique.

(which seems to imply I_T nexus wide uniqueness)

Section 3.5.1.1 says:
IN arguments such as task attributes, Expected Data Transfer Length for
one or both transfer directions (the latter for bidirectional commands),
and Task Tag (as part of the I_T_L_x nexus).

(which seems to follow the broadest definition allowed by SAM)

What was the intention of the designers?

Thanks,
Jacob 

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: [email-masked]
Date: Tue, 19 Sep 2006 17:01:59 -0400

Jacob,

An iSCSI session is an I_T nexus - see the definitions of session
and I_T nexus in section 2.1 of RFC 3720.  Hence initiator task tags
have to be unique across an I_T nexus.

The language in Section 3.5.1.1 says that to identify a specific
SCSI command (I_T_L_x nexus), one needs the Task Tag to identify
the command.  In other words, session (I_T nexus) + ITT identifies
a specific command (I_T_L_x nexus).  If you need to know the LUN
(L), the command will contain that information.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, September 19, 2006 12:13 PM
> To: [email-masked]
> Subject: [Ips] Initiator Task Tag
> 
session-wide.

---

From: William Studenmund <[email-masked]>
Date: Tue, 19 Sep 2006 14:07:38 -0700

> Should the Initiator task tag be unique for an I_T nexus or for an  

They are session-unique. The difference is that they have meaning for  
iSCSI operations in addition to SCSI ones.

> (which seems to imply I_T nexus wide uniqueness)

That definition is good-enough. :-)

> and Task Tag (as part of the I_T_L_x nexus).

I don't see how this disagrees.

The I_T_L_x nexus is the task. The specific value of the ITT is an  
attribute of the task. That it (the ITT) is an attribute of the task  
doesn't mean that it is only scoped to the I_T_L level.

Take care,

Bill

---

From: Julian Satran <[email-masked]>
Date: Wed, 20 Sep 2006 15:38:08 +0300

ITT has to be  I_T unique. TTT has to be just I_T_L unique (TTT is mostly 
a "target convenience" artifact). Julo

<[email-masked]> 
19/09/06 19:12

To
<[email-masked]>
cc

Subject
[Ips] Initiator Task Tag

Section 3.2.1 says:

and 

Sections 10.2.1.8 says:

Section 3.5.1.1 says:

Thanks,
Jacob